> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer punch-cards

> Get punch cards of a customer. By default, only returns ACTIVE punch cards.



## OpenAPI

````yaml GET /customers/{id}/punch-cards
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /customers/{id}/punch-cards:
    get:
      description: >-
        Get punch cards of a customer. By default, only returns ACTIVE punch
        cards.
      parameters:
        - in: path
          name: id
          description: The customer unique identifier in your system
          required: true
          schema:
            type: string
        - in: query
          name: punch_card_id
          description: Optional punch card ID to filter results
          required: false
          schema:
            type: string
        - in: query
          name: status
          description: Filter punch cards by status. Defaults to ACTIVE
          required: false
          schema:
            type: string
            enum:
              - ALL
              - ACTIVE
              - FINISHED
            default: ACTIVE
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/PunchCard'
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    PunchCard:
      type: object
      properties:
        id:
          type: string
          description: The punch card unique identifier
          format: uuid
        account_id:
          type: string
          description: The account unique identifier
          format: uuid
        customer_id:
          type: string
          description: The customer unique identifier in your system
        campaign_id:
          type: string
          description: The campaign unique identifier that issued this punch card
          format: uuid
        punches:
          type: number
          description: Current number of punches accumulated
          minimum: 0
          example: 3
        max_punches:
          type: number
          description: Maximum number of punches needed to complete the punch card
          minimum: 1
          example: 10
        status:
          type: string
          description: The status of the punch card
          enum:
            - ACTIVE
            - FINISHED
        created_at:
          type: string
          description: The date when the punch card was created
          format: date-time
        updated_at:
          type: string
          description: The date when the punch card was last updated
          format: date-time
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````